<textarea  id="inputArea"
oninput=trans()></textarea>
<textarea id="resultArea"></textarea>
<script>


    // https://yournet.kz/blog/js/transliteraciya-na-javascript
  function  translit(str) {
    // var str = document.getElementById("name").value;
    var space = '-';
    var link = '';
    var transl = {
        'а': 'a', 'б': 'b', 'в': 'v', 'г': 'g', 'д': 'd', 'е': 'e', 'ё': 'e', 'ж': 'zh',
        'з': 'z', 'и': 'i', 'й': 'j', 'к': 'k', 'л': 'l', 'м': 'm', 'н': 'n',
        'о': 'o', 'п': 'p', 'р': 'r','с': 's', 'т': 't', 'у': 'u', 'ф': 'f', 'х': 'h',
        'ц': 'c', 'ч': 'ch', 'ш': 'sh', 'щ': 'sh','ъ': space,
        'ы': 'y', 'ь': space, 'э': 'e', 'ю': 'yu', 'я': 'ya'
    }
if (str != '')
    str = str.toLowerCase();
 
for (var i = 0; i < str.length; i++){
    if (/[а-яё]/.test(str.charAt(i))){ // заменяем символы на русском
        link += transl[str.charAt(i)];
    } else { 
        link += str.charAt(i);
    } 
}
   return link;
}
var trans = function(){
        let value = document.getElementById("inputArea").value
        value = translit(value)
        document.getElementById("resultArea").value = value
    }
</script>